Fehler beim Upgrade von Squidguard bei Ubuntu 14.04

Fehler beim Upgrade von Squidguard bei Ubuntu 14.04

  • Beitrags-Autor:
  • Beitrags-Kategorie:Linux
  • Beitrags-Kommentare:0 Kommentare

Bin gerade in den Bug hier rein gerauscht:

https://bugs.launchpad.net/ubuntu/+source/squidguard/+bug/1313200

Wie in der Bugmeldung beschrieben liegt das Problem daran dass der squidguard in Version 1.5-2 versucht am Ende den Proxy Squid neu zu starten, was mangels /etc/init.d/squid3 Script aber scheitert.

Was liegt also näher als das Problem zu beheben indem man einfach dieses Script erstellt? – nichts! 🙂

#!/bin/bash

exit 0

Mehr muss da nicht drinnen stehen – Hauptsache das Script liefert ein „0“ als Fehlercode retour und somit ein OK. Mit „chmod 0700 /etc/init.d/squid3“ noch ausführbar gemacht und schon klappt das Update vom squidguard ohne Probleme!

Es gibt wie’s scheint schon ein Paket mit Bugfix 1.5-3 allerdings nicht in den Update Repositories vom 14.04, das kann sich natürlich jederzeit ändern…

Schreibe einen Kommentar